RegexIterator
RegexIterator::__construct
RegexIterator
PHP Manual

# RegexIterator::accept

(PHP 5 >= 5.2.0)

RegexIterator::accept — Get accept status

### Description

public bool RegexIterator::accept ( void )

Matches (string) RegexIterator::current() (or RegexIterator::key() if the RegexIterator::USE_KEY flag is set) against the regular expression.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if a match, `FALSE` otherwise.

### Examples

Example #1 RegexIterator::accept() example

This example shows that only items matching the regular expression are accepted.

`<?php
$names = new ArrayIterator(array('Ann', 'Bob', 'Charlie', 'David'));
$filter = new RegexIterator($names, '/^[B-D]/');
foreach ($filter as $name) {
echo $name . PHP_EOL;
}
?>`

The above example will output:

    Bob
    Charlie
    David

### See Also

- RegexIterator constants
- RegexIterator::setFlags() - Sets the flags.

RegexIterator
RegexIterator::__construct
RegexIterator
PHP Manual